import NodeType from './type.js';
/**
 * Node Class as base class for TextNode and HTMLElement.
 */
export default abstract class Node {
    abstract nodeType: NodeType;
    childNodes: Node[];
    abstract text: string;
    abstract rawText: string;
    abstract toString(): string;
    get innerText(): string;
    get textContent(): string;
    set textContent(val: string);
    position?: {
        start: number;
        lengthStartTag?: number;
        length: number;
    };
}
